Subject: Re: [RFC] Device tree for new desktop platform in arch/powerpc

From: "Gerhard Pircher" <[email-masked]>
Date: Tue, 19 Jun 2007 14:37:21 +0200

-------- Original-Nachricht --------
Datum: Tue, 19 Jun 2007 12:08:06 +0200
Von: Segher Boessenkool <[email-masked]>
An: "Gerhard Pircher" <[email-masked]>
CC: [email-masked], [email-masked]
Betreff: Re: [RFC] Device tree for new desktop platform in arch/powerpc

> > I guess I can define both of them or do they conflict (IIRC
> > the two hardware revision should be compatible)?
> 
> Use one or the other, not both.  Perhaps you'll need
> to add the pnpPNP,500 and pnpPNP,501 entries to the
> generic OF serial code, should be trivial to do.
I guess I stick with compatible = "serial" for now, as it should
also work with the generic serial console support code.

> The 16550A supports something the 16550 doesn't (don't
> ask me what, I forgot :-) ), so don't say it is an A
> when it isn't; the other way around is fine though.
> 
> And it doesn't matter much for Linux anyway currently,
> the "generic" kernel driver will do its own wacky probing.
Yes, that's why the current AmigaOne kernels (2.6.16) detect 3 serial
ports, whereas there should be only 2 (the first two are detected by
probing for the VIA southbridge and the last one IIRC is registered by
request_region()). I hope the device tree fixes this.

> > Where are all this "pnpPNP,xxx" identifiers specified (except
> > for serial parallel, fdc, keyboard, mouse)?
> 
> They are defined by the vendor of the devices; for
> vendor "PNP", i.e. legacy non-PNP PC devices, that
> is MicroSoft.
Downloaded the file you pointed to and the OF generic names document. I
thought the OF core specification defines them, but it's not available
freely.

Thanks a lot!

Gerhard
-- 
Der GMX SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen! 
Ideal für Modem und ISDN: http://www.gmx.net/de/go/smartsurfer